/**
 * RoleClassPartitive2.java
 *
 * File generated from the medication2::RoleClassPartitive2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassPartitive2.
 *
 * 
 */

@XmlType(name = "RoleClassPartitive")
@XmlEnum
@XmlRootElement(name = "RoleClassPartitive2")
public enum RoleClassPartitive2 {
	@XmlEnumValue("CONT")
	CONT("CONT"),
	@XmlEnumValue("MBR")
	MBR("MBR"),
	@XmlEnumValue("PART")
	PART("PART"),
	@XmlEnumValue("INGR")
	INGR("INGR"),
	@XmlEnumValue("ACTI")
	ACTI("ACTI"),
	@XmlEnumValue("ACTM")
	ACTM("ACTM"),
	@XmlEnumValue("ADTV")
	ADTV("ADTV"),
	@XmlEnumValue("BASE")
	BASE("BASE"),
	@XmlEnumValue("IACT")
	IACT("IACT"),
	@XmlEnumValue("COLR")
	COLR("COLR"),
	@XmlEnumValue("FLVR")
	FLVR("FLVR"),
	@XmlEnumValue("PRSV")
	PRSV("PRSV"),
	@XmlEnumValue("STBL")
	STBL("STBL"),
	@XmlEnumValue("LOCE")
	LOCE("LOCE"),
	@XmlEnumValue("STOR")
	STOR("STOR"),
	@XmlEnumValue("SPEC")
	SPEC("SPEC"),
	@XmlEnumValue("ALQT")
	ALQT("ALQT"),
	@XmlEnumValue("ISLT")
	ISLT("ISLT");
	
	private final String value;

    RoleClassPartitive2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassPartitive2 fromValue(String v) {
        for (RoleClassPartitive2 c: RoleClassPartitive2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
